IPSW-IDEV-IMG-SIGN(1)

NAME
ipsw-idev-img-sign - Personalize DDI

SYNOPSIS
ipsw idev img sign [flags]

DESCRIPTION
Personalize DDI

OPTIONS
-a, --ap-item=""
    Ap'Item to personalize (example: --ap-item 'Ap,SikaFuse')

-b, --board-id=0
    Device ApBoardID

-c, --chip-id=0
    Device ApChipID

-d, --ddi-dmg=""
    DDI.dmg to mount

-f, --ddi-folder=""
    DDI folder (i.e. /Library/Developer/DeveloperDiskImages/iOS_DDI)

-e, --ecid=0
    Device ApECID

-h, --help[=false]
    help for sign

-i, --input=""
    JSON file from ipsw idev img nonce --json command

--insecure[=false]
    do not verify ssl certs

-m, --manifest=""
    BuildManifest.plist to use

-n, --nonce=""
    Device ApNonce

-o, --output=""
    Folder to write signature to

--proxy=""
    HTTP/HTTPS proxy

-x, --xcode=""
    Path to Xcode.app

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-u, --udid=""
    Device UniqueDeviceID to connect to

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-idev-img(1)

HISTORY
22-Apr-2025 Auto generated by spf13/cobra